body {
    font-family: Arial, sans-serif;
    background-color: #000000;
    color: white;
    margin: 0;
    background-image: url(/lp-streaming/public/imagens/backgroundFilm.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
}

.header {
    background-color: black;
    display: flex;
    height: 100px;
    align-items: center;
    justify-content: center;
    font:
      bold calc(1em + 2 * (100vw - 100px) / 100) 'Dancing Script',
      fantasy;
    text-shadow: xrgb(0, 0, 0) 2px 2px 1rem;
    letter-spacing: 1px;
  }
  
  .mascote {
    height: 9%;
    width: 9%;
    top: 5%;
  }

  #title {
        color: red;
        animation: changeColor 0.7s infinite;
        padding-right: 15px;
  }
      @-webkit-keyframes changeColor {
        0%   {color: rgb(212, 0, 255);}
        25%  {color: rgb(229, 255, 0);}
        50%  {color: rgb(255, 123, 0);}
        100% {color: rgb(0, 255, 42);}
      }

  #Principal {
    background-color: #000000;
    color: #ffffff;
    padding: 20px;
    border-radius: 10px;
    border: 2px solid #ff0000;
    margin-top: 20px;
    margin-left: 25%;
    margin-right: 25%;
    align-items: center;
    justify-content: center;
}

h1, label {
    text-align: center;
    color: #ffffff;
}

input {
    position: relative;
    display: inline-block;
    margin: 10px auto;
    padding: 12px;
    border: 1px solid #ff0000;
    background-color: #333;
    border-radius: 8px;
    width: calc(100% - 24px);
    font-size: 16px;
    color: white;
}

button {
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    background-color: #ff0000;
    color: #ffffff;
    cursor: pointer;
    width: 100%;
}

.password-container {
    position: relative;
    display: inline-block;
}
.toggle-password {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.mensagem-sucesso {
    animation: fadeInOut 3s ease-in-out;
    color: green;
}

.mensagem-erro {
    animation: shake 0.5s ease-in-out;
    color: red;
}

@keyframes fadeInOut {
    0% {
        opacity: 0;
        transform: scale(0.9);
    }
    50% {
        opacity: 1;
        transform: scale(1);
    }
    100% {
        opacity: 0;
        transform: scale(0.9);
    }
}

@keyframes shake {
    0%, 100% {
        transform: translateX(0);
    }
    25% {
        transform: translateX(-5px);
    }
    50% {
        transform: translateX(5px);
    }
    75% {
        transform: translateX(-5px);
    }
}

footer {
    color: white;
    text-align: center;
    padding: 20px 0;
    position: relative;
    bottom: 0;
    width: 100%;
}

.footer-content {
    max-width: 1200px;
    margin: 0 auto;
}